> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sunoapi.org/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取音乐封面详情

> 获取音乐封面生成任务的详细信息。

### 使用指南

* 使用此接口检查封面生成任务状态
* 完成后访问生成的封面图像URL
* 跟踪处理进度和可能发生的任何错误
* 支持轮询获取任务结果，建议每30秒查询一次

### 开发者说明

* 封面图像URL仅在成功完成后可用
* 为失败的任务提供错误代码和消息
* 成功处理后，封面图像将保留14天
* 通常生成2种不同风格的封面图像


## OpenAPI

````yaml cn/suno-api/suno-api-cn.json GET /api/v1/suno/cover/record-info
openapi: 3.0.0
info:
  title: intro
  description: 这是生成音频的API接口文档
  version: 1.0.0
  contact:
    name: 技术支持
    email: support@sunoapi.org
servers:
  - url: https://api.sunoapi.org
    description: API 服务器
security:
  - BearerAuth: []
tags:
  - name: Music Generation
    description: 用于创建和管理音乐生成任务的接口
  - name: Lyrics Generation
    description: 用于歌词生成和管理的接口
  - name: WAV Conversion
    description: 用于将音乐转换为WAV格式的接口
  - name: Vocal Removal
    description: 用于从音乐轨道中移除人声的接口
  - name: Music Video Generation
    description: 用于生成MP4视频的接口
  - name: Account Management
    description: 用于账户和积分管理的接口
paths:
  /api/v1/suno/cover/record-info:
    get:
      summary: 获取封面生成详情
      description: |-
        获取封面生成任务的详细信息。

        ### 使用指南
        - 使用此接口检查封面生成任务状态
        - 完成后访问生成的封面图像URL
        - 跟踪处理进度和可能发生的任何错误

        ### 状态描述
        - `0`: 待执行 (Pending)
        - `1`: 成功 (Success)
        - `2`: 生成中 (Generating)
        - `3`: 生成失败 (Generation failed)

        ### 开发者说明
        - 封面图像URL仅在响应中状态为`SUCCESS`时可用
        - 为失败的任务提供错误代码和消息
        - 成功生成后，封面图像将保留14天
      operationId: get-cover-details
      parameters:
        - in: query
          name: taskId
          description: 要检索的封面生成任务的唯一标识符。这是创建封面生成任务时返回的taskId。
          required: true
          example: 21aee3c3c2a01fa5e030b3799fa4dd56
          schema:
            type: string
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      code:
                        type: integer
                        enum:
                          - 200
                          - 400
                          - 401
                          - 402
                          - 404
                          - 409
                          - 422
                          - 429
                          - 455
                          - 500
                        description: |-
                          响应状态码

                          - **200**: 成功 - 请求处理成功
                          - **400**: 格式错误 - 参数不是有效的JSON格式
                          - **401**: 未授权 - 身份验证凭据缺失或无效
                          - **402**: 积分不足 - 账户没有足够的积分执行此操作
                          - **404**: 未找到 - 请求的资源或端点不存在
                          - **409**: 冲突 - 封面记录已存在
                          - **422**: 验证错误 - 请求参数验证检查失败
                          - **429**: 速率限制 - 此资源的请求速率限制已超出
                          - **455**: 服务不可用 - 系统当前正在维护
                          - **500**: 服务器错误 - 处理请求时发生意外错误
                      msg:
                        type: string
                        description: 代码 != 200 时的错误消息
                        example: success
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    description: 状态码
                    example: 200
                  msg:
                    type: string
                    description: 状态消息
                    example: success
                  data:
                    type: object
                    properties:
                      taskId:
                        type: string
                        description: 任务ID
                        example: 21aee3c3c2a01fa5e030b3799fa4dd56
                      parentTaskId:
                        type: string
                        description: 原始音乐任务ID
                        example: 73d6128b3523a0079df10da9471017c8
                      callbackUrl:
                        type: string
                        description: 回调URL
                        example: https://api.example.com/callback
                      completeTime:
                        type: string
                        format: date-time
                        description: 完成回调时间
                        example: '2025-01-15T10:35:27.000Z'
                      response:
                        type: object
                        description: 完成回调结果
                        properties:
                          images:
                            type: array
                            items:
                              type: string
                            description: 封面图像URL数组
                            example:
                              - >-
                                https://tempfile.aiquickdraw.com/s/1753958521_6c1b3015141849d1a9bf17b738ce9347.png
                              - >-
                                https://tempfile.aiquickdraw.com/s/1753958524_c153143acc6340908431cf0e90cbce9e.png
                      successFlag:
                        type: integer
                        description: 任务状态标志：0-待执行，1-成功，2-生成中，3-生成失败
                        enum:
                          - 0
                          - 1
                          - 2
                          - 3
                        example: 1
                      createTime:
                        type: string
                        format: date-time
                        description: 创建时间
                        example: '2025-01-15T10:33:01.000Z'
                      errorCode:
                        type: integer
                        format: int32
                        description: |-
                          错误码

                          - **200**: 成功 - 请求处理成功
                          - **500**: 内部错误 - 请稍后再试。
                        example: 200
                        enum:
                          - 200
                          - 500
                      errorMessage:
                        type: string
                        description: 错误消息
                        example: ''
              example:
                code: 200
                msg: success
                data:
                  taskId: 21aee3c3c2a01fa5e030b3799fa4dd56
                  parentTaskId: 73d6128b3523a0079df10da9471017c8
                  callbackUrl: https://api.example.com/callback
                  completeTime: '2025-01-15T10:35:27.000Z'
                  response:
                    images:
                      - >-
                        https://tempfile.aiquickdraw.com/s/1753958521_6c1b3015141849d1a9bf17b738ce9347.png
                      - >-
                        https://tempfile.aiquickdraw.com/s/1753958524_c153143acc6340908431cf0e90cbce9e.png
                  successFlag: 1
                  createTime: '2025-01-15T10:33:01.000Z'
                  errorCode: 200
                  errorMessage: ''
        '500':
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: 服务器异常
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |-
        # 🔑 API 认证说明

        所有接口都需要通过 Bearer Token 方式进行认证。

        ## 获取 API Key

        1. 访问 [API Key 管理页面](https://sunoapi.org/api-key) 获取您的 API Key

        ## 使用方式

        在请求头中添加：

        ```
        Authorization: Bearer YOUR_API_KEY
        ```

        > **⚠️ 注意：**
        > - 请妥善保管您的 API Key，不要泄露给他人
        > - 如果怀疑 API Key 泄露，请立即在管理页面重置

````